List OpenTelemetry runs
curl --request GET \
--url https://pillarforge.corepillar.ai/api/v1/projects/{projectId}/cost-calculator/trace-runs \
--cookie session=import requests
url = "https://pillarforge.corepillar.ai/api/v1/projects/{projectId}/cost-calculator/trace-runs"
headers = {"cookie": "session="}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {cookie: 'session='}};
fetch('https://pillarforge.corepillar.ai/api/v1/projects/{projectId}/cost-calculator/trace-runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://pillarforge.corepillar.ai/api/v1/projects/{projectId}/cost-calculator/trace-runs",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_COOKIE => "session=",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://pillarforge.corepillar.ai/api/v1/projects/{projectId}/cost-calculator/trace-runs"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("cookie", "session=")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://pillarforge.corepillar.ai/api/v1/projects/{projectId}/cost-calculator/trace-runs")
.header("cookie", "session=")
.asString();require 'uri'
require 'net/http'
url = URI("https://pillarforge.corepillar.ai/api/v1/projects/{projectId}/cost-calculator/trace-runs")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["cookie"] = 'session='
response = http.request(request)
puts response.read_body{
"data": [
{
"traceId": "<string>",
"rootName": "<string>",
"status": "OK",
"startedAt": "2023-11-07T05:31:56Z",
"durationMs": 123,
"spanCount": 123,
"llmCallCount": 123,
"toolCallCount": 123,
"tokensIn": 123,
"tokensOut": 123,
"costUsd": 123,
"environment": "<string>",
"service": "<string>",
"sdk": "<string>"
}
],
"meta": {
"page": 123,
"pageSize": 123,
"total": 123,
"cursor": "<string>"
}
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "<string>",
"details": {}
}
}List OpenTelemetry runs
Up to the 100 most recent traces in the project that arrived over OTLP (not simulations), summarized for import into the Cost Calculator.
Auth: session. Permission: member of the project’s organization.
GET
/
projects
/
{projectId}
/
cost-calculator
/
trace-runs
List OpenTelemetry runs
curl --request GET \
--url https://pillarforge.corepillar.ai/api/v1/projects/{projectId}/cost-calculator/trace-runs \
--cookie session=import requests
url = "https://pillarforge.corepillar.ai/api/v1/projects/{projectId}/cost-calculator/trace-runs"
headers = {"cookie": "session="}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {cookie: 'session='}};
fetch('https://pillarforge.corepillar.ai/api/v1/projects/{projectId}/cost-calculator/trace-runs', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://pillarforge.corepillar.ai/api/v1/projects/{projectId}/cost-calculator/trace-runs",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_COOKIE => "session=",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://pillarforge.corepillar.ai/api/v1/projects/{projectId}/cost-calculator/trace-runs"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("cookie", "session=")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://pillarforge.corepillar.ai/api/v1/projects/{projectId}/cost-calculator/trace-runs")
.header("cookie", "session=")
.asString();require 'uri'
require 'net/http'
url = URI("https://pillarforge.corepillar.ai/api/v1/projects/{projectId}/cost-calculator/trace-runs")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["cookie"] = 'session='
response = http.request(request)
puts response.read_body{
"data": [
{
"traceId": "<string>",
"rootName": "<string>",
"status": "OK",
"startedAt": "2023-11-07T05:31:56Z",
"durationMs": 123,
"spanCount": 123,
"llmCallCount": 123,
"toolCallCount": 123,
"tokensIn": 123,
"tokensOut": 123,
"costUsd": 123,
"environment": "<string>",
"service": "<string>",
"sdk": "<string>"
}
],
"meta": {
"page": 123,
"pageSize": 123,
"total": 123,
"cursor": "<string>"
}
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "<string>",
"details": {}
}
}{
"error": {
"code": "VALIDATION_ERROR",
"message": "<string>",
"details": {}
}
}Authorizations
The session cookie set when you sign in to AgentHub or ModelHub in a browser. The cookie name shown here is illustrative. There are no API tokens for these endpoints.
Path Parameters
Project id.